> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/get-one-click-repay-history-v-2/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get one-click repay history v2 GET https://www.okx.com/api/v5/trade/one-click-repay-history-v2 Get the history and status of one-click repay trades in the past 7 days. Only applicable to `SPOT mode`. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/get-one-click-repay-history-v-2 ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `after` (string, optional) — Pagination of data to return records earlier than (included) the requested time `ts` , Unix timestamp format in milliseconds, e.g. `1597026383085` - `before` (string, optional) — Pagination of data to return records newer than (included) the requested time `ts`, Unix timestamp format in milliseconds, e.g. `1597026383085` - `limit` (string, optional) — Number of results per request. The maximum is 100. The default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeOneClickRepayHistoryV2GetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeOneClickRepayHistoryV2GetResponsesContentApplicationJsonSchemaDataItems - `debtCcy` (string, optional) — Debt currency - `repayCcy` (string, optional) — Currency used for repayment. - `fillDebtSz` (string, optional) — Amount of debt currency transacted - `fillRepaySz` (string, optional) — Filled amount of repayment currency used. - `status` (string, optional) — Current status of one-click repay `running`: Running `filled`: Filled `failed`: Failed - `uTime` (string, optional) — Update time, Unix timestamp in ms. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "debtCcy": "USDC", "fillDebtSz": "9.079631989", "status": "filled", "ordIdInfo": [ { "cTime": "1742194485439", "fillPx": "1", "fillSz": "9.088651", "instId": "USDC-USDT", "ordId": "2338478342062235648", "ordType": "ioc", "px": "1.0049", "side": "buy", "state": "filled", "sz": "9.0886514537313433" }, { "cTime": "1742194482326", "fillPx": "83271.9", "fillSz": "0.00010969", "instId": "BTC-USDT", "ordId": "2338478237607288832", "ordType": "ioc", "px": "82856.7", "side": "sell", "state": "filled", "sz": "0.000109696512171" } ], "repayCcyList": [ "USDC", "BTC" ], "ts": "1742194481852" }, { "debtCcy": "USDC", "fillDebtSz": "100", "status": "filled", "ordIdInfo": [], "repayCcyList": [ "USDC", "BTC" ], "ts": "1742192217511" } ] } ``` **SDK Code** ```python trade_getOneClickRepayHistoryV2_example import requests url = "https://www.okx.com/api/v5/trade/one-click-repay-history-v2" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript trade_getOneClickRepayHistoryV2_example const url = 'https://www.okx.com/api/v5/trade/one-click-repay-history-v2'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_getOneClickRepayHistoryV2_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/one-click-repay-history-v2" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_getOneClickRepayHistoryV2_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/one-click-repay-history-v2") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java trade_getOneClickRepayHistoryV2_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/trade/one-click-repay-history-v2") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php trade_getOneClickRepayHistoryV2_example request('GET', 'https://www.okx.com/api/v5/trade/one-click-repay-history-v2', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_getOneClickRepayHistoryV2_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/one-click-repay-history-v2"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift trade_getOneClickRepayHistoryV2_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/one-click-repay-history-v2")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```